Bug 140292 - pgsetup.pl halts config completion during fresh installation on second run while compiling search/search-advanced.html.tmpl
pgsetup.pl halts config completion during fresh installation on second run wh...
Status: CLOSED WONTFIX
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
3.2
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
http://ww2.sleekcollar.com:81/bugzill...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-21 22:42 EST by Ferindo Middleton Jr
Modified: 2013-06-23 22:54 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-07 11:22:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferindo Middleton Jr 2004-11-21 22:42:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
My system: Fedora Core 3 on i386, Apache installed ok, all required
perl modules installed ok, Postgresql installed ok.... didn't bother
installing MySQL since this system uses PostgresQL instead.

Scripting error occurs when running pgsetup.pl of the
bugzilla-redhat-20031120.tar.gz package which stops running of script
and doesn't allow for completion of installation process.

Version-Release number of selected component (if applicable):
bugzilla-redhat-20031120.tar.gz

How reproducible:
Always

Steps to Reproduce:
- As root -
1. Download and 'tar xvzf bugzilla-redhat-20031120.tar.gz' in apache
/var/www/html home directory provided on bugzilla.redhat.com homepage
2. cd to bugzilla-public, chmod +x pgsetup.pl, and run (script verfies
that all required perl modules are installed and creats 'localconfig' file
3. creatuser bugs & createdb bugs
4. edit 'localconfig' file: set 
$webservergroup = "apache";
$db_pass = ''; (no password set for 'bugs' Postgresql db user) 
5. rerun pgsetup.pl (error happens at this step 5)

Actual Results:  [root@scnmaster bugzilla-public]# ./pgsetup.pl

Checking perl modules ...
Checking for       AppConfig (v1.52)   ok: found v1.56
Checking for       CGI::Carp (any)     ok: found v1.28
Checking for    Data::Dumper (any)     ok: found v2.121
Checking for     Date::Parse (any)     ok: found v2.27
Checking for             DBI (v1.13)   ok: found v1.42
Checking for         DBD::Pg (v1.01)   ok: found v1.31
Checking for      File::Spec (v0.82)   ok: found v0.87
Checking for        Template (v2.07)   ok: found v2.13
Checking for      Text::Wrap (v2001.0131) ok: found v2001.09292

The following Perl modules are optional:
Checking for              GD (v1.19)   ok: found v2.12
Checking for     Chart::Base (v0.99)    not found
Checking for     XML::Parser (any)     ok: found v2.34

If you you want to see graphical bug dependency charts, you may install
the optional libgd and the Perl modules GD-1.19 and Chart::Base-0.99b,
e.g. by
running (as root)

   perl -MCPAN -e'install "LDS/GD-1.19.tar.gz"'
   perl -MCPAN -e'install "N/NI/NINJAZ/Chart-0.99b.tar.gz"'

Checking user setup ...
Removing existing compiled templates ...
Precompiling templates ...
<h1>Software error:</h1>
<pre>Could not compile search/search-advanced.html.tmpl:file error -
search/form_advanced_nonjs.html.tmpl: not found
</pre>
<p>
For help, please send mail to this site's webmaster, giving this error
message
and the time and date of the error.

</p>
[Sun Nov 21 19:53:25 2004] pgsetup.pl: Could not compile
search/search-advanced.html.tmpl:file error -
search/form_advanced_nonjs.html.tmpl: not found

Expected Results:  This second run of pgsetup.pl should eventually get
to a completion point where user enters the adminstrative account info
interactively and completes installation routines.

Additional info:

Go to my bugzilla's installation yields a page forbidden page,
inidicating that the setup is incomplete.

The bugzilla-public folder is world readable and executable, the
Apache installation allows 'ExecCGI'
Comment 1 David Lawrence 2006-04-08 13:41:23 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.
Comment 2 David Lawrence 2008-09-16 12:51:31 EDT
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Note You need to log in before you can comment on or make changes to this bug.